Bug 143796 - missing return statement on non void function
Summary: missing return statement on non void function
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: quagga   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-28 10:22 UTC by David Binderman
Modified: 2014-08-31 23:27 UTC (History)
1 user (show)

Fixed In Version: quagga-0.98.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-17 19:29:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-12-28 10:22:13 UTC
Description of problem:

I just tried to compile package quagga-0.97.3-2. from 
Redhat Fedora development tree.

The compiler said

vty.c(1980): warning #1011: missing return statement at end of
non-void function "vtysh_write"

The source code is

static int
vtysh_write (struct thread *thread)
{
  struct vty *vty = THREAD_ARG (thread);

  vty->t_write = NULL;
  if (buffer_flush_available(vty->obuf, vty->fd))
    vty_event (VTYSH_WRITE, vty->fd, vty);
}

Suggest add return statement to end of routine.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.